#
# spec file for package docbook-toys
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           docbook-toys
BuildRequires:  automake
BuildRequires:  docbook-dsssl-stylesheets
BuildRequires:  openjade
%define sysconfdir %{_sysconfdir}
Provides:       docbook-tools
Requires:       docbook-dsssl-stylesheets
Requires:       docbook_3
Requires:       docbook_4
Requires:       iso_ent
Requires:       openjade
Requires:       texlive-jadetex
Version:        1.51.0
Release:        lp150.2.3
Summary:        DocBook Tools
License:        GPL-2.0+
Group:          Productivity/Publishing/DocBook
Source:         http://www.suse.de/~ke/docbook-toys/docbook-toys-%{version}.tar.bz2
Source1:        %{name}-README.SUSE
Patch0:         docbook-toys-suffix.diff
Patch1:         docbook-toys-outdir.diff
Patch2:         docbook-toys-1.51.0-pdf-exit.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Url:            http://www.suse.de/~ke/docbook-toys/

%description
A shell script to convert SGML documents based on the DocBook DTD.

For usage information read:

/usr/share/doc/packages/docbook-toys/README

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755

%prep
%setup -q -n docbook-toys-%{version}
%{INSTALL_DATA} %{SOURCE1} README.SUSE
%patch -p 1 -P 0
%patch -p 0 -P 1
%patch -p 1 -P 2

%build
autoreconf -i -f
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT mk_links
mkdir -p $RPM_BUILD_ROOT%sysconfdir/%{name}
# move config files to _sysconfdir
pushd $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/docbook-toys
for f in suse-*.dsl gdp-both.dsl docbook-sloppy.dcl; do
  mv $f $RPM_BUILD_ROOT%sysconfdir/%{name}
  ln -s %sysconfdir/%{name}/$f $f
done
popd

%files
%defattr(-, root, root)
%doc README.SUSE
%doc AUTHORS COPYING NEWS README THANKS TODO
%doc texmf.conf.diff
%{_bindir}/*
%{_datadir}/sgml/docbook/docbook-toys
%config %{sysconfdir}/%{name}

%changelog
* Thu Nov  9 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
- Do not package the test directory as documentation.
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Sun Aug 30 2009 aj@suse.de
- make patch0 usage consistent
* Mon Mar 17 2008 werner@suse.de
- Use texlive-jadetex instead of jadetex
* Mon Jun  4 2007 ke@suse.de
- Drop obsolete Provide/Obsolete (docbooktls).
- Return 1 if do_pdf fails; reported by Andreas Kleen [#270905].
- Move config files to %%{_sysconfdir}.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 16 2004 ke@suse.de
- Require "jadetex" [#38989].
* Thu Jan 15 2004 ke@suse.de
- Use proper output dir for HTML even if -o isn't set (reported by
  Stanislav Visnovsky).
* Wed Jan 14 2004 ke@suse.de
- Use -o to set output directory (proposed by Hansjoerg Lipp).
* Mon Aug 25 2003 meissner@suse.de
- autoreconf -i -f for ppc64.
* Tue Jul  1 2003 ke@suse.de
- docbook-toys-suffix.diff: Allow arbitrary file names.
* Wed Nov 13 2002 ke@suse.de
- Update to version 1.51.0; from NEWS:
  * Abort when jade fails (print backends).
  Reported by Martin Vidner [# 20276].
* Tue Nov 12 2002 ke@suse.de
- Update to version 1.50.1; from NEWS:
  * Use openjade instead of the unmaintained jade (jade_dsl) package.
  * Copy the driver file suse-both.dsl to the working directory.
  * Read suse-html.dsl and suse-print.dsl.
  * Detect encoding of XML files automatically.
  * Add charset info to the HTML output files; partly fix for [# 6591].
- Drop obsolete pachtes.
* Fri Nov  8 2002 ke@suse.de
- Replace jade_dsl with openjade.
* Tue Nov  5 2002 ke@suse.de
- Fix docbook-toys-detect-encoding.diff to make it recognize trivial
  cases to; reported by Michal Svec.
* Tue Nov  5 2002 ke@suse.de
- Apply docbook-toys-detect-encoding.diff to make use of the XML
  encoding info automatically [# 20766].
* Mon Aug 12 2002 ke@suse.de
- Fix db2x.sh.in (do_rtf): Add missing $SGML_DECL_SLOPPY.
  Reported by Norbert Eicker.
* Thu Aug  1 2002 ke@suse.de
- Fix shell script syntax to allow validation of .xml files.
* Thu Jun 20 2002 ke@suse.de
- Patch the db2x.sh script to make it possible to use openjade and
  related binaries (switch -o).  This hack helps to work around a
  problem reported by Pavel Janik [# 14905].
* Fri Nov 30 2001 ke@suse.de
- Update to version 0.61.0:
  - Support .../docbook/dsssl-stylesheets/... directory.
* Thu Nov 29 2001 ke@suse.de
- Rename package: docbktls -> docbook-toys.
* Wed Nov  7 2001 ke@suse.de
- Update to version 0.60.4.
  This version includes all the previous patches:
  docbktls-sgml-vs-xml-cat.diff, docbktls-xml-dcl-check.diff,
  docbook-toys-html-out.diff, and docbook-toys-script.dif.
* Wed Oct 24 2001 ke@suse.de
- Fix validation switches -V and -W for SGML.  CAT_NSGMLS was overridden
  on systems with DocBook XML catalogs installed; these catalogs are
  coming with the 'docbook_4' package.
  Problem reported by Uwe Drechsel [#12027].
* Mon Oct 15 2001 ke@suse.de
- Apply docbktls-xml-dcl-check.diff to improve check for the XML
  declaration; problem reported by Joerg Menke [#11826].
* Mon Oct  1 2001 schwab@suse.de
- Fix quoting in shell script.
* Mon Aug 27 2001 ke@suse.de
- Apply docbook-toys-html-out.diff to fix name of HTML output directory;
  reported by Ruediger Oertel.
* Mon Aug 27 2001 ro@suse.de
- added <jade_dsl> to neededforbuild
* Mon Aug 27 2001 ke@suse.de
- Update to version 0.60.1:
  - Process DocBook XML (version 4) files.
- Rename docbktls-README.SuSE to README.SuSE.
- Cleanup spec file.
* Wed Jul 18 2001 ke@suse.de
- Update to version 0.51.0.
* Mon Jul 16 2001 ke@suse.de
- Update to version 0.50.1.
- Update README.SuSE.
* Fri Jul 13 2001 ke@suse.de
- Fix files list.
* Fri Jul 13 2001 ke@suse.de
- Update to version 0.16.0 (and drop docbook-toys-0.15.2-which.diff).
- Start README.SuSE.
* Fri Jul 13 2001 ro@suse.de
- use frames instead of test (no longer in current dssl package).
* Mon Apr 23 2001 ke@suse.de
- Apply docbook-toys-0.15.2-which.diff: replace 'which' by
  'type -p'; [#6841].
* Wed Mar 28 2001 ke@suse.de
- Fix neededforbuild: s/docbkdsl/docbook-dsssl-stylesheets/ [#6842].
* Tue Mar 27 2001 ke@suse.de
- Update to version 0.15.2 [#6841].
* Mon Mar 19 2001 ke@suse.de
- Update to version 0.15.1
* Thu Mar 15 2001 ke@suse.de
- Update to version 0.15.0.
- Add patch to make use of /usr/share/sgml/CATALOG.jade_dsl.
- Fix neededforbuild: s/docbk30/docbook_3/ and s/docbk_4/docbook_4
  [#6669].
* Mon Mar  5 2001 ke@suse.de
- Apply patch to make use of CATALOG.gnome, too.
- Provide a dbnochunks script.
- Remove obsolete spec file comments.
* Tue Nov 21 2000 ke@suse.de
- update to version 0.14.0 [this update is considered to fix #4155].
* Thu Nov  2 2000 ke@suse.de
- update to version 0.13.0.
- spec file: use macros more consistently.
* Mon Feb 14 2000 ke@suse.de
- update to version 0.8.1.
- add offcial group tag.
- ./configure -> %%build.
* Tue Jan 11 2000 ke@suse.de
- update: version 0.7.1.
* Fri Nov  5 1999 ke@suse.de
- update: version 0.6.
- package is "noarch".
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun May  2 1999 ke@suse.de
- update: version 0.5.
* Wed Apr 14 1999 ke@suse.de
- update: version 0.4.
* Fri Apr  9 1999 ke@suse.de
- initial package: version 0.2
